Get runs by well guids

Request

Security
(bearer and appkey) or (sauth_service_token and appkey)
Query
page_sizeinteger, (int32)

Max number of entities to include in current search (max 9999)

Default:9999
Headers
slb-partition-idstringrequired

Slb partition id

Body

Well guids to get by

Array of strings
curl -i -X POST \
  'https://eu-api.delfi.slb.com/drillplan/offset-well-data/v1/runs/get-by-well-guids?page_size=9999' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json-patch+json' \
  -H 'appkey: YOUR_API_KEY_HERE' \
  -H 'slb-partition-id: string' \
  -d '[
    "string"
  ]'

Responses

OK

Body
current_matchesArray of objects or null(Slb.DrillPlan.OffsetDataIngestion.Model.Dto.SurveySearchDto)
current_match_countinteger, (int32)
excluded_matchesArray of objects or null(Slb.DrillPlan.OffsetDataIngestion.Model.Dto.EntityViolation`1[[Slb.DrillPlan.OffsetDataIngestion.Model.Dto.SurveySearchDto, Slb.DrillPlan.OffsetDataIngestion.Model, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]])
total_match_countinteger, (int64)
next_page_idstring or null
action_succeededboolean
master_errorstring or null
dependent_action_errorsArray of strings or null
action_keystring or null
Response
{
  "current_matches": [
    {
      "physical_container_name": "string",
      "creation_utc_timestamp": "2019-08-24T14:15:22Z",
      "last_modification_utc_timestamp": "2019-08-24T14:15:22Z",
      "version": 0,
      "well_name": "string",
      "id": "string",
      "azimuth": 0.1,
      "data_source": "string",
      "east_west": 0.1,
      "inclination": 0.1,
      "md": 0.1,
      "north_south": 0.1,
      "tvd": 0.1,
      "well_guid": "string"
    }
  ],
  "current_match_count": 0,
  "excluded_matches": [
    {
      "source": {
        "physical_container_name": "string",
        "creation_utc_timestamp": "2019-08-24T14:15:22Z",
        "last_modification_utc_timestamp": "2019-08-24T14:15:22Z",
        "version": 0,
        "well_name": "string",
        "id": "string",
        "azimuth": 0.1,
        "data_source": "string",
        "east_west": 0.1,
        "inclination": 0.1,
        "md": 0.1,
        "north_south": 0.1,
        "tvd": 0.1,
        "well_guid": "string"
      },
      "violations": [
        {
          "fatal_violation": true,
          "details": "string"
        }
      ]
    }
  ],
  "total_match_count": 0,
  "next_page_id": "string",
  "action_succeeded": true,
  "master_error": "string",
  "dependent_action_errors": [
    "string"
  ],
  "action_key": "string"
}